﻿@model UserView
@{
    ViewBag.Title = "_UserCompanies";
    Layout = "~/Views/Shared/_Layout.cshtml";

    bool _AsigComp = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.AsigCompany.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AsigCompInt = (((UserView)Session["UserLogin"]).Name.ToUpper() == Model.Name.ToUpper() ? (((UserView)Session["UserLogin"]).IsAdmin == true ? false : _AsigComp) : _AsigComp);
}
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@ViewBag.Tite</h1>

<script type="text/javascript">
    var CountCompAv = '@ViewBag.CountCompAv';
    var IsCustomer = '@Model.IsCustomer';
    var IsSalesEmployee = '@Model.IsSalesEmployee';
</script>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">User</h3>
    </div>
    <div class="panel-body">
        <label class="col-md-4 control-label" id="REQ" style="display:none">@Users.REQ</label>
        <div class="form-group">
            <label class="col-md-4 control-label" id="lblName">@Users.Name: @Model.Name</label>
        </div>
    </div>
</div>
@if (_AsigComp && _AsigCompInt)
{
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Users.UCAV</h3>
        </div>
        <div class="panel-body">
            <!--label class="control-label" id="REQ" style="display:none">@Users.REQ</!--label-->
            <div class="form-horizontal row-border">


                <div class="col-md-6">

                    <div class="clear2"> </div>

                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.Companies</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.IdSelector, new SelectList(
                        ViewBag.CompAv,
                       "IdCompany",
                       "CompanyDB",
                                Model.IdSelector), new { @Id = "CompAV", @class = "form-control" })
                        </div>
                    </div>

                    <div class="clear2"> </div>
                    <div class="divider"> </div>
                    <div class="clear2"> </div>

                    @if (Model.IsCustomer)
                {
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Users.BP</label>
                            <div class="col-md-7">
                                <div id="LoadingCustomer" style="display:none">
                                    <img src="~/Content/img/fountain.GIF" />
                                </div>
                                @Html.TextBox("BusinessPartnerId", "", new { @placeholder = @Users.BP, @class = "form-control", @Id = "BusinessPartnerId", @disabled = "disabled" })
                            </div>
                            <div class="col-md-1">
                                <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#BPModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                            </div>
                        </div>
                    }
                    @if (Model.IsSalesEmployee)
                {
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Users.SE</label>
                            <div class="col-md-8">
                                <div id="LoadingSalesEmployee" style="display:none">
                                    <img src="~/Content/img/fountain.GIF" />
                                </div>
                                @Html.DropDownListFor(model => model.SECode, new SelectList(Model.ListSalesEmployeeSap, "Value", "Text"), new { @Id = "SalesEmployeeId", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Companies.BG</label>
                            <div class="col-md-8">
                                <div id="LoadingBPGroup" style="display:none">
                                    <img src="~/Content/img/fountain.GIF" />
                                </div>
                                @Html.DropDownListFor(model => model.BPGroupId, new SelectList(Model.ListBPGroup, "Value", "Text"), new { @Id = "BPGroupId", @class = "form-control" })
                            </div>
                        </div>
                    }
                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.DW</label>
                        <div class="col-md-8">
                            <div id="LoadingDftWhs" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.DftWhs, new SelectList(Model.ListWarehouse, "Value", "Text"), new { @Id = "DftWhs", @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.SalesTax</label>
                        <div class="col-md-8">
                            <div id="LoadingSalesTax" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.SalesTaxCodeDef, new SelectList(Model.ListSalesTaxCode, "Value", "Text"), new { @Id = "SalesTaxCodeDef", @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.PurchaseTax</label>
                        <div class="col-md-8">
                            <div id="LoadingPurTax" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.PurchaseTaxCodeDef, new SelectList(Model.ListPurchaseTaxCode, "Value", "Text"), new { @Id = "PurchaseTaxCodeDef", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.DDR</label>
                        <div class="col-md-8">
                            <div id="LoadingDftDDR" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.DftDistRule, new SelectList(Model.ListDistributionRule, "Value", "Text"), new { @Id = "DftDDR", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.CPL</label>
                        <div class="col-md-8">
                            <div id="LoadingCPL" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.CostPriceList, new SelectList(Model.ListCostPriceList, "Value", "Text"), new { @Id = "CostPriceList", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.UG</label>
                        <div class="col-md-8">
                            <div id="LoadingUserGroupId" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.UserGroupId, new SelectList(Model.ListUserGroup, "Value", "Text"), new { @Id = "UserGroupId", @class = "form-control" })
                        </div>
                    </div>

                </div>
               
                <div class="col-md-6">

                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.USAP</label>
                        <div class="col-md-8">
                            <div id="LoadingUserSapId" style="display:none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.DropDownListFor(model => model.UserCodeSAP, new SelectList(Model.ListUserSap, "Value", "Text"), new { @Id = "UserSapId", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@Users.Password</label>
                        <div class="col-md-8">
                            @*<input class="form-control" id="UserPasswordSAP" name="UserPasswordSAP" placeholder="Password" type="password">*@
                            @Html.TextBoxFor(c => c.UserPasswordSAP, new { @type = "password", @placeholder = @Users.Password, @class = "form-control" })
                        </div>
                    </div>

                </div>

                    <div class="clear2"> </div>
                    <div class="divider"> </div>
                    <div class="form-group">

                        <div class="col-md-2 col-sm-3 col-xs-4 pull-right">
                            <button id="AddtoList" type="button" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-align-justify"></span> @Users.UCADDL</button>
                        </div>
                        <div class="col-md-2 col-sm-3 col-xs-4 pull-right">
                            <a href='@Url.Action("ActionCompany", "Companies", new { @ActionCompany = "Add", @IdCompany = 0, @FromUser = Model.IdUser })' class="btn btn-primary btn-ls pull-right ">
                                <span class="glyphicon glyphicon-plus"></span>&nbsp;@Users.UCADDC
                            </a>
                        </div>

                    </div>
                </div>
        </div>
    </div>

    @Html.HiddenFor(c => c.IdUser)
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.UCTCU</h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>@Companies.SRV</th>
                        <th>@Companies.CN</th>
                        <th>@Companies.DN</th>
                        <th>@Companies.SU</th>
                        <th>@Companies.UG</th>
                        <th>@Users.BP</th>
                        <th>@Users.SE</th>
                        <th>@Companies.Active</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (CompanyView item in Model.Companies)
                    {
                        <tr>
                            <td>@item.Server </td>
                            <td>@item.CompanyDB </td>
                            <td>@item.CompanyDB  </td>
                            <td>@item.userSettings.UserNameSAP </td>
                            <td>@(item.userSettings.UserGroupId != null ? item.ListUserGroup.Where(c => c.Value == item.userSettings.UserGroupId.ToString()).FirstOrDefault().Text : "") </td>
                            <td>@(item.userSettings.IdBp != null ? item.ListBusinessPartnerSap.Where(c => c.Value == item.userSettings.IdBp).FirstOrDefault().Text : "") </td>
                            <td>@(item.userSettings.IdSE != null ? item.ListSalesEmployeeSap.Where(c => c.Value == item.userSettings.IdSE.ToString()).FirstOrDefault().Text : "") </td>
                            <td>
                                @Html.CheckBox("inlineCheckbox1", item.Active)
                            </td>
                            <td>
                                <a href='#' onclick="DeleteCompany('@item.IdCompany')" class="btn btn-primary btn-xs">
                                    <span class="glyphicon glyphicon-trash"></span>&nbsp;@Companies.Delete
                                </a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>
@if (_AsigComp)
{
    <div class="but_blok_footer">
        <div class="col-md-12">
            @Html.ActionLink(@Users.Cancel, "Index", "Users", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
        </div>
    </div>
}

<div class="modal fade in" id="infoBox" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title" id="myModalLabel">Info</h4>
            </div>
            <div style=" text-align :center ">
                <div class="alert  alert-error" id="infoMessage" style="background-color: #34EA75; color: #000000 "><strong> Connection validation: Correct </strong></div>
            </div>
            <div class="modal-footer">
                <button type="button" id="OkError" class="btn btn-primary" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>

@*Modal BP*@
<div class="modal fade" id="BPModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelBPModalBP">@PurchaseOrders.Search @PurchaseOrders.BP</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchBP" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Users/_BPList",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                                data.pIdCompany = $("#CompAV").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetBP('" + data.CardCode + "');\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/UserCompanies")


